%define name    blogbridge
%define version 6.7
%define release 1
%define Summary ultimate info-junkie system
%define sname   BlogBridge

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %mkrel %release
License:        GPL
Group:          Networking/Other
URL:            http://www.blogbridge.com/
Source0:        http://www.blogbridge.com/install/releases/%name-%version.tgz
Source1:        %name.png
BuildRoot:      %_tmppath/%name-%version-buildroot
Requires:	java >= 1.6

%description
BlogBridge is designed for people who need to follow many blogs and rss feeds.


%prep
%setup -q

%build
# nothing to do

%install
rm -rf %buildroot
%__mkdir_p %buildroot%_libdir/%name-%version/lib
%__install -m 755 %name.sh %buildroot%_libdir/%name-%version
%__install -m 644 %name.jar %buildroot%_libdir/%name-%version
%__install -m 644 lib/* %buildroot%_libdir/%name-%version/lib

cat > %name << EOF
#!/bin/sh
exec %_libdir/%name-%version/%name.sh
EOF
%__install -D -m 755 %name %buildroot%_bindir/%name


%__mkdir_p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Name=%sname
Comment=%Summary
Exec=%_bindir/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Encoding=UTF-8
Categories=Network;X-MandrivaLinux-Internet-Other;
EOF

# icon
%__install -D -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
%__install -D -m 644 %SOURCE1 %buildroot%_datadir/pixmaps/%name.png
convert %buildroot%_datadir/pixmaps/%name.png -resize 48 \
%buildroot%_datadir/pixmaps/%name.png

%post
%update_menus
WB=$(which www-browser 2>/dev/null)
[ -n "$WB" -a ! -f "%_bindir/mozilla" ] && ln -s $WB %_bindir/mozilla || true

%postun
%clean_menus
[ -L "%_bindir/mozilla" ] && rm -f %_bindir/mozilla || true

%clean
rm -rf %buildroot


%files
%defattr(0755,root,root,0755)
%_bindir/%name
%_libdir/%name-%version/%name.sh
%defattr(0644,root,root,0755)
%_datadir/applications/%name.desktop
%_iconsdir/%name.png
%_datadir/pixmaps/%name.png
%_libdir/%name-%version/%name.jar
%_libdir/%name-%version/lib


%changelog
* Thu Feb 25 2010 slick50 <lxgator@gmail.com> 6.7-1pclos2010
- 6.7

* Sun Apr 27 2008 Stumpy842 <stump842@gmail.com> 6.3-1pclos_mypclinuxos2008
- update to version 6.3

* Tue Mar 18 2008 Stumpy842 <stump842@gmail.com> 6.0.2-1pclos_mypclinuxos2008
- (re-)import for pclos
